﻿.feature-container {
  position: relative;
  width: 100%;
  height: 100%;
  overflow: hidden;
  background-image: url("https://image-platform.leniugame.com/20260120/lyj_pc_version3/gameFeature/bg.png");
  background-position: center center;
  background-repeat: no-repeat;
  background-size: 100% 100%;
}

.feature-container .feature-main {
  position: relative;
  width: 56.66vw;
  margin: 13.8211vh auto 0;
}

.feature-container .swiper-main {
  position: relative;
  width: 100%;
  height: 54.87vh;
}

.feature-container .swiper-main .feature-swiper {
  width: 50vw;
  margin: 0 auto;
  height: 100%;
  overflow: hidden;
}

.feature-container .feature-swiper .feature-swiper-container {
  position: relative;
  width: 100%;
  height: 100%;
}

.feature-container .feature-swiper .feature-swiper-container .swiper-slide {
  width: 100% !important;
  height: 100%;
}

.feature-container .feature-swiper .feature-swiper-container .swiper-slide a {
  display: block;
  width: 100%;
  height: 100%;
}

.feature-container .feature-swiper .feature-swiper-container .swiper-slide img {
  width: 100%;
  height: 100%;
}

.feature-container .feature-main .feature-pagination {
  width: 100%;
  height: 0.35rem;
  display: flex;
  align-items: center;
  justify-content: center;
}

.feature-container .feature-main .feature-pagination .swiper-pagination-bullet {
  width: 0.365vw;
  height: 0.365vw;
  background: #8e847d;
  border-radius: 50%;
  opacity: 1;
  margin: 0 0.443vw;
}

.feature-container .feature-main .feature-pagination .swiper-pagination-bullet-active {
  background: #347bcf;
}

.feature-container .feature-main .feature-prev,
.swiper-container-rtl .feature-next {
  background-image: url("https://image-platform.leniugame.com/20260120/lyj_pc_version3/gameFeature/left_arrow.png");
  background-size: 100% 100%;
  outline: none;
  width: 2.76vw;
  height: 4.27vw;
  left: 0;
  top: 50%;
  outline: none;
  transform: translateY(-50%);
  cursor: pointer;
}

.feature-container .feature-main .feature-prev:hover,
.swiper-container-rtl .feature-next:hover {
  background-image: url("https://image-platform.leniugame.com/20260120/lyj_pc_version3/gameFeature/left_arrow_hover.png");
}

.feature-container .feature-main .feature-next,
.swiper-container-rtl .feature-prev {
  background-image: url("https://image-platform.leniugame.com/20260120/lyj_pc_version3/gameFeature/right_arrow.png");
  background-size: 100% 100%;
  outline: none;
  width: 2.76vw;
  height: 4.27vw;
  right: 0;
  top: 50%;
  outline: none;
  transform: translateY(-50%);
  cursor: pointer;
}

.feature-container .feature-main .feature-next:hover,
.swiper-container-rtl .feature-prev:hover {
  background-image: url("https://image-platform.leniugame.com/20260120/lyj_pc_version3/gameFeature/right_arrow_hover.png");
}

.feature-prev::after,
.feature-next::after {
  content: "" !important;
  /* 清除伪元素内容 */
  display: none !important;
}